<?php
/**
 *  Template tags personnalisés pour le theme 
 */




/**
 * Pour afficher les meta données des articles
 */


	/**
	 * Prépare le code html qui affiche la date du post
	 */
	function preguer_posted_on() {
	$date_publication = get_the_date();
	$date_miseajour = get_the_modified_date(); 
	if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) { //comparaison par l'horodatage
		echo '<span class="date-publication">Mis à jour le ' . $date_miseajour . ' </span>';
	}
	else {
		echo '<span class="date-publication">Publié le ' . $date_publication . ' </span>';	
	}
}

	/**
	 * Prépare le code html qui affiche l'auteur du post
	 */
	function preguer_posted_by() {		
		$auteur = sprintf(
		'par <span class="author vcard"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '">' . esc_html( get_the_author() ) . '</a></span>'
		);			
		echo '<span class="nom-auteur"> ' . $auteur . '</span>'; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
	}




	/**
	 * Prépare le code html qui affiche les catégories et mots-clés
	 */

	function preguer_post_taxonomies() {
			$categories_list = get_the_category_list( ', ' );
			if ( $categories_list ) {
				printf( '<span class="categories-links">' . 'Publié dans ' . $categories_list . '</span>' ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			}

			/* translators: used between list items, there is a space after the comma */
			$tags_list = get_the_tag_list( '',', ' ) ;
			if ( $tags_list ) {
				printf( '<span class="tags-links">' . ' - Mots clés&nbsp;: ' . $tags_list . '</span>' ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			}

	}


